OtherAPI ReferenceText-to-SpeechVoices

Recompute voice

Prepares the voice for use with available models it is not ready for yet. Use this after a new model is released to make an existing voice usable with it. Models the voice is already prepared for are left unchanged.

POST
https://api.soniox.com/v1/voices/{voice_id}/recompute

Prepares the voice for use with available models it is not ready for yet. Use this after a new model is released to make an existing voice usable with it. Models the voice is already prepared for are left unchanged.

Headers

AuthorizationRequiredBearer <SONIOX_API_KEY>

Request

application/jsonRequired
modelstring

The model to prepare this voice for. If omitted, the voice is prepared for every available model it is not ready for yet.

Path parameters

voice_idRequiredstring
Format: "uuid"

Response

200

OK

idRequiredstring

Unique identifier of the voice.

Format: "uuid"
nameRequiredstring

Name of the voice.

filenameRequiredstring

Original file name of the uploaded audio clip.

created_atRequiredstring

UTC timestamp indicating when the voice was created.

Format: "date-time"
modelsRequiredarray<object>

Voice status for each available model. A model with status 'not_computed' is not prepared yet (e.g. it was released after the voice was created); call recompute to prepare the voice for it.

Errors

OK

{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "filename": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "models": [
    {
      "model": "string",
      "status": "not_computed",
      "error_type": "string",
      "error_message": "string"
    }
  ]
}

Bad Request

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}

Unauthorized

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}

Not Found

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}

Too Many Requests

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}

Internal Server Error

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}